Bug 1005749 - REST-API: Disallow endless authentication session
REST-API: Disallow endless authentication session
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Juan Hernández
Ilia Meerovich
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 06:36 EDT by Michael Pasternak
Modified: 2016-02-10 14:10 EST (History)
8 users (show)

See Also:
Fixed In Version: is15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:11:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19003 None None None Never
oVirt gerrit 19004 None None None Never

  None (edit)
Description Michael Pasternak 2013-09-09 06:36:06 EDT
Description of problem:

endless authentication session should be disallowed as it a subject for
potential security breaches and resources leak if client does not close
it at the end.
Comment 1 Ilia Meerovich 2013-10-31 03:51:01 EDT
verified with IS16
Comment 4 Itamar Heim 2014-01-21 17:11:14 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.